Skip to main content
PUT
/
orders
/
{id}
Update an order
curl --request PUT \
  --url https://api.bitbybit.studio/customer/api/open/v1/orders/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "notes": "<string>"
}
'
import requests

url = "https://api.bitbybit.studio/customer/api/open/v1/orders/{id}"

payload = { "notes": "<string>" }
headers = {
    "x-api-key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({notes: '<string>'})
};

fetch('https://api.bitbybit.studio/customer/api/open/v1/orders/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "orderId": "<string>",
    "orderNumber": "<string>",
    "total": 123,
    "currency": "<string>",
    "notes": "<string>",
    "customer": {
      "id": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "email": "<string>",
      "phoneNumber": "<string>"
    },
    "lineItems": [
      {
        "id": "<string>",
        "quantity": 123,
        "price": 123,
        "title": "<string>",
        "productVariant": {
          "id": "<string>",
          "key": "<string>",
          "price": 123,
          "compareAtPrice": 123,
          "inventorySku": "<string>",
          "media": "<string>"
        }
      }
    ],
    "shippingAddress": {
      "id": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "phone": "<string>",
      "address1": "<string>",
      "address2": "<string>",
      "city": "<string>",
      "province": "<string>",
      "country": "<string>",
      "zip": "<string>"
    },
    "tags": [
      "<string>"
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}
{
  "error": {
    "code": "NOT_FOUND",
    "message": "Resource not found"
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. Create one in Settings > Developer.

Path Parameters

id
string
required

Body

application/json
status
enum<string>
Available options:
active,
archived,
cancelled,
refunded
fulfillmentStatus
enum<string>
Available options:
unfulfilled,
fulfilled
financialStatus
enum<string>
Available options:
pending,
paid,
refunded
notes
string

Response

Order updated

data
object